Subject: bug#41916: closed (Re: [bug#41916] [PATCH] gnu: xsnow: Update to 2.0.22.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Jun 2020 13:35:02 +0000

Your bug report

#41916: [PATCH] gnu: xsnow: Update to 2.0.22.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41916: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41916
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41916] [PATCH] gnu: xsnow: Update to 2.0.22.
From: Efraim Flashner <[email-masked]>
To: Timotej Lazar <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Jun 2020 16:33:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jun 17, 2020 at 04:26:53PM +0300, Efraim Flashner wrote:
> This builds successfully but I can't get it to launch on my computer.
> Does it work for you?
> 
> (xsnow:2443): dbind-WARNING **: 16:26:23.769: AT-SPI: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
> Detected desktop session: /run/current-system/profile/share/xsessions/enlightenment
> Your screen supports alpha channel, good.
> xsnow: cannot determine window, exiting...

Actually this is the same message I get with the version currently
packaged. I assume the updated one works just as well as before, as long
as it's not on my computer.

Patch pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: xsnow: Update to 2.0.22.
From: Timotej Lazar <[email-masked]>
To: [email-masked]
Cc: Timotej Lazar <[email-masked]>
Date: Wed, 17 Jun 2020 13:54:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/toys.scm (xsnow): Update to 2.0.22.
---
 gnu/packages/toys.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/toys.scm b/gnu/packages/toys.scm
index 7f22646d8c..f643e06974 100644
--- a/gnu/packages/toys.scm
+++ b/gnu/packages/toys.scm
@@ -1,7 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2017, 2018 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2019 Jesse Gibbons <[email-masked]>
-;;; Copyright © 2019 Timotej Lazar <[email-masked]>
+;;; Copyright © 2019, 2020 Timotej Lazar <[email-masked]>
 ;;; Copyright © 2020 Efraim Flashner <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -167,7 +167,7 @@ The GNU project hosts a similar collection of filters, the GNU talkfilters.")
 (define-public xsnow
   (package
     (name "xsnow")
-    (version "2.0.15")
+    (version "2.0.22")
     (source
      (origin
        (method url-fetch)
@@ -175,7 +175,7 @@ The GNU project hosts a similar collection of filters, the GNU talkfilters.")
              "https://www.ratrabbit.nl/ratrabbit/system/files/xsnow/xsnow-"
              version ".tar.gz"))
        (sha256
-        (base32 "086s42frbz9bk550414v908yrax4iwwlvlxv4zwp39cyp7wgws03"))))
+        (base32 "1880643fal6l7bskqbm4zfbr2s719698mkx4pchrxkjpb240sj0z"))))
     (build-system gnu-build-system)
     (arguments
      '(#:phases
-- 
2.26.2